;;;; -*- Mode: Lisp; Package: ASDF; -*-
;;;; $Id: usocket-udp.asd 582 2008-10-28 06:10:05Z binghe $

(in-package :asdf)

(defsystem usocket-udp
  :description "UDP support for the USOCKET project"
  :version "2.3"
  :author "Chun Tian (binghe) <binghe.lisp@gmail.com>"
  :depends-on (:usocket)
  :serial t
  :components ((:file "rtt")
               (:file "condition")
               (:file "usocket")
	       #+allegro
	       (:file "usocket-allegro")
               #+clozure
	       (:file "usocket-clozure")
               #+cmu
	       (:file "usocket-cmucl")
               #+(or sbcl ecl)
	       (:file "usocket-sbcl")
               #+lispworks
	       (:file "usocket-lispworks")
	       #+scl
	       (:file "usocket-scl")
               (:file "usocket-server")
               (:file "usocket-client")))
